import { CortexContextResponse } from './cortexEntityTypes.js';
export interface CortexFetchResponse {
    body: string | undefined;
    headers: Record<string, string>;
    ok: boolean;
    redirected: boolean;
    status: number;
    statusText: string;
    trailer: Record<string, string>;
    type: ResponseType;
    url: string;
}
export interface ICortexApi {
    getContext: () => Promise<CortexContextResponse>;
    pluginInit: () => void;
    proxyFetch: (input: RequestInfo, init?: RequestInit) => Promise<Response>;
}
export declare const CortexApi: ICortexApi;
