import React from 'react';
import { BootstrapColor, BorderProps, FlexContainerProps, FlexItemProps, OverflowProps, SpacingProps, SystemBackgroundColor } from '../utils.js';
export interface BoxProps extends FlexContainerProps, FlexItemProps, OverflowProps, SpacingProps, BorderProps {
    backgroundColor?: BootstrapColor | SystemBackgroundColor;
    children: React.ReactNode;
    component?: keyof React.ReactHTML;
    fullHeight?: boolean;
    fullWidth?: boolean;
    id?: string;
}
declare const Box: React.ForwardRefExoticComponent<BoxProps & React.RefAttributes<HTMLElement>>;
export default Box;
