import React from 'react';
import { AnchorProps } from '../Anchor/Anchor.js';
import { type IconComponentType } from '../Icon/IconComponentType.js';
import { AriaAttributeProps, BootstrapSize, TextStyleProps } from '../utils.js';
type Color = 'primary' | 'secondary' | 'danger' | 'success' | 'warning' | 'white' | 'gray' | 'link' | 'purple' | 'blue' | 'green' | 'red' | 'orange';
type LegacyColor = 'gray-dark' | 'purple' | 'red';
export interface ButtonProps extends AriaAttributeProps, Pick<AnchorProps, 'external' | 'href' | 'title'>, Pick<TextStyleProps, 'align'> {
    block?: boolean;
    children?: React.ReactNode;
    color?: Color;
    disabled?: boolean;
    icon?: IconComponentType;
    id?: string;
    legacyColor?: LegacyColor;
    loading?: boolean;
    nowrap?: boolean;
    onClick?: React.MouseEventHandler<HTMLButtonElement>;
    outline?: boolean;
    size?: BootstrapSize;
    tight?: boolean;
    type?: 'submit' | 'reset' | 'button' | undefined;
}
declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
