import React from 'react';
import { IconComponentType } from '../Icon/IconComponentType.js';
import { AriaAttributeProps, BootstrapSize } from '../utils.js';
export interface DropdownOption extends AriaAttributeProps {
    icon?: IconComponentType;
    key: string;
    label: React.ReactNode;
}
export interface DropdownProps {
    defaultSelected?: string;
    defaultText?: string;
    disabled?: boolean;
    label?: string;
    light?: boolean;
    onReset?: () => void;
    onSelect: (optionKey: string) => void;
    options: DropdownOption[];
    selected?: string;
    showReset?: boolean;
    size?: BootstrapSize;
    tight?: boolean;
    truncateText?: boolean;
}
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
