import React from 'react';
import { IconComponentType } from '../Icon/IconComponentType.js';
export declare enum TabPlacement {
    Bottom = "Bottom",
    Left = "Left",
    Right = "Right"
}
export interface BaseTabItem {
    name: string;
}
export interface TabItem extends BaseTabItem {
    badge?: string;
    count?: number;
    disabled?: boolean;
    icon?: IconComponentType;
}
export interface TabsProps {
    initialTab?: string;
    onClickCallback?: (tabName: string) => void;
    placement?: TabPlacement;
    renderTab: (tabName: string) => React.ReactElement;
    rightComponent?: React.ReactNode;
    tabs: TabItem[];
    tabsAnalyticsName?: string;
    tall?: boolean;
}
declare const Tabs: React.FC<TabsProps>;
export default Tabs;
