import React from 'react';
import { TextStyleProps } from '../utils.js';
export interface BaseTextProps extends Omit<React.HtmlHTMLAttributes<any>, 'className'>, TextStyleProps {
    bold?: boolean;
    children: React.ReactNode;
    component?: keyof React.ReactHTML;
    id?: string;
    italic?: boolean;
    monospace?: boolean;
    nowrap?: boolean;
    underline?: boolean;
    uppercase?: boolean;
}
export interface LabelTextProps extends BaseTextProps, Omit<React.LabelHTMLAttributes<any>, 'className'> {
    children: React.ReactNode;
    component: 'label';
}
export type TextProps = BaseTextProps | LabelTextProps;
declare const Text: React.FC<TextProps>;
export default Text;
